Page MenuHomeFreeBSD

Go ports: cleanup, finish transition to USES=go started with r505321 (cat. audio-mail)
ClosedPublic

Authored by dmgk on Sep 21 2019, 7:20 PM.

Details

Summary

Go ports: cleanup, finish transition to USES=go started with r505321 (cat. audio-mail)

  • Remove custom build/install targets left in place after r505321
  • Switch to the new GO_TARGET tuple syntax introduced in r512001
  • Switch to go:modules when upstream already uses them
Test Plan

poudriere bulk -C: OK (113i, 120a)
exp-run

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

dmgk created this revision.Sep 21 2019, 7:20 PM
tobik added inline comments.Sep 23 2019, 4:39 AM
audio/pms-devel/Makefile
21 ↗(On Diff #62399)

Many dependencies have changed here (some tags do not match the commits from before). Why? Make sure to bump PORTREVISION to force a rebuild for this.

dmgk marked an inline comment as done.Sep 23 2019, 12:25 PM
dmgk added inline comments.
audio/pms-devel/Makefile
21 ↗(On Diff #62399)

Hmm.. I'm not sure where original dependencies came from, upstream doesn't seem to have used anything except modules. The new GH_TUPLE was generated by gomod-vendor target. But this definitely needs a PORTREVISION bump, thanks for spotting.

dmgk updated this revision to Diff 62460.Sep 23 2019, 12:26 PM
dmgk marked an inline comment as done.

Bump audio/pms-devel PORTREVISION for dependencies change.

dmgk edited the test plan for this revision. (Show Details)Sep 23 2019, 12:27 PM
tobik requested changes to this revision.Sep 23 2019, 3:42 PM
tobik added inline comments.
editors/micro/Makefile
46 ↗(On Diff #62460)

Typo here. Should be GO_BUIILDFLAGS.

This revision now requires changes to proceed.Sep 23 2019, 3:42 PM
dmgk updated this revision to Diff 62472.Sep 23 2019, 3:48 PM

Fix GO_BUIILDFLAGS typo in editors/micro/Makefile

dmgk marked an inline comment as done.Sep 23 2019, 3:48 PM
tobik accepted this revision.Sep 23 2019, 4:00 PM
This revision is now accepted and ready to land.Sep 23 2019, 4:00 PM
araujo accepted this revision.Sep 24 2019, 1:44 AM

It looks good to me, but you need to wait for the exp-run and also portmgr approval.
Thanks to work on this.